Subject: bug#49959: 28.0.50; Emacs got quasi freeze

From: Masaru Nomiya <[email-masked]>
Date: Tue, 24 Aug 2021 10:19:36 +0900

Hello,

In the Message; 

  Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <[email-masked]>
  Date & Time: Mon, 23 Aug 2021 10:35:02 +0200

[RM] == martin rudalics <[email-masked]> has written:

RM>  [1  <text/plain; utf-8 (7bit)>]
RM>  > The issue is around rendering. The phnomenon is;

RM>  Please always tell us right away what you are doing to produce the
RM>  faulty behavior.

I'm so sory,

Now, I understand the debugging method.

[...]
RM>  From what I understand till now, Enlightenment treats the Emacs window
RM>  as invisible when switching away from its desktop.  So what we have to
RM>  know is what Enlightenment sends to Emacs when the user returns to the
RM>  desktop with the Emacs window.  Is it a PropertyNotify, a MapNotify, a
RM>  VisibilityNotify, a FocusIn or some other event?

RM>  If it is a VisibilityNotify event, then maybe the attached patch will
RM>  help.

RM>  Thanks, martin
RM>  [2 VisibilityNotify.diff <text/x-patch (7bit)>]
RM>  diff --git a/src/xterm.c b/src/xterm.c
RM>  index 6c6a62adb2..6e562ce8e9 100644
RM>  --- a/src/xterm.c
RM>  +++ b/src/xterm.c
RM>  @@ -9354,7 +9354,11 @@ handle_one_xevent (struct x_display_info *dpyinfo,
RM>         f = x_top_window_to_frame (dpyinfo, event->xvisibility.window);
RM>         if (f && (event->xvisibility.state == VisibilityUnobscured
RM>   		|| event->xvisibility.state == VisibilityPartiallyObscured))
RM>  -	SET_FRAME_VISIBLE (f, 1);
RM>  +	{
RM>  +	  f->output_data.x->has_been_visible = true;
RM>  +	  SET_FRAME_GARBAGED (f);
RM>  +	  SET_FRAME_VISIBLE (f, 1);
RM>  +	}

RM>         goto OTHER;

Thanks.

I'll check with this pacth.

Regards.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃＼／彡
┗━━┛ "Three young men died for Rationalization.
           Yet, Margaret Bloody Thatcher LIVES!"
                                            'Brassed Off'